baseURL = 'https://goeducation.net/'
languageCode = 'en-us'
title = 'Go Education Project'

[module]
  [[module.imports]]
    path = "github.com/HugoBlox/theme-documentation"

############################
## PAGE CASCADE OPTIONS
############################

[[cascade]]
  [cascade.params]
    editable = true
    show_breadcrumb = true
    show_date = false
    show_date_updated = true
  [cascade.target]
    path = "/docs/**"

[[cascade]]
  [cascade.params]
    pager = true
    editable = true
    show_date = true
    reading_time = true
  [cascade.target]
    path = "/blog/**"
    kind = "page"

############################
## LANGUAGE
############################

defaultContentLanguage = 'en'
hasCJKLanguage = false
removePathAccents = true

############################
## ADVANCED
############################

[build]
  writeStats = true

enableGitInfo = false
summaryLength = 30
enableEmoji = true
enableRobotsTXT = true
enableInlineShortcodes = true
disableAliases = true

[pagination]
  pagerSize = 10

[outputs]
  home = ["HTML", "RSS", "WebAppManifest", "headers", "redirects", "backlinks"]
  page = ["HTML"]
  section = ["HTML", "RSS"]

[imaging]
  resampleFilter = "lanczos"
  quality = 90
  anchor = "smart"
  hint = "picture"

timeout = "600s"

[taxonomies]
  tag = "tags"
  category = "categories"
  author = "authors"

[markup]
  _merge = "deep"

[related]
  threshold = 80
  includeNewer = true
  toLower = true
  [[related.indices]]
    name = "tags"
    weight = 100
  [[related.indices]]
    name = "categories"
    weight = 70

[security]
  _merge = "deep"

[sitemap]
  _merge = "deep"

[minify]
  _merge = "deep"
